Skip to navigation

Capture the outcome of the payment authorization for which the payment credentials were used

Provides acknowledgement from the Partner when the payment authorization is decisioned.

Authentication

AuthorizationBearer

OAuth 2.0 client credentials. Exchange your API key and secret for a bearer token, then send it as Authorization: Bearer <token>.

Headers

AuthorizationstringRequired

The OAuth authorization header generated as prescribed in the Oauth 2.0 guide

trackingIdstringRequired
A unique identifier for request tracking.
agentIdstringRequired
Agent's unique identifier.

Request

A request to provide the outcome of a payment authorization. The request payload is JWE-encrypted on the wire.

authIdentifierstringRequired
A unique identifier for the authorization request.
authStatusenumRequired
The authorization outcome for the request.
Allowed values:
tokenNumberstringRequiredformat: "^[0-9]{15}$"
The tokenized account number used for the transaction.
orderContextobjectOptional
The order details associated with the authorization. Required when input is tokenNumber.

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error